IntlChar::getIntPropertyMaxValue
IntlChar::getIntPropertyValue
IntlChar
PHP Manual

# IntlChar::getIntPropertyMinValue

(PHP 7)

IntlChar::getIntPropertyMinValue — Get the min value for a Unicode property

### Description

public static int IntlChar::getIntPropertyMinValue ( int `$property` )

Gets the minimum value for an enumerated/integer/binary Unicode property.

### Parameters

`property`

  The Unicode property to lookup (see the IntlChar::PROPERTY_* constants).

### Return Values

The maximum value returned by IntlChar::getIntPropertyValue() for a Unicode property. 0 if the property selector is out of range.

### Examples

Example #1 Testing different properties

`<?php
var_dump(IntlChar::getIntPropertyMinValue(IntlChar::PROPERTY_BIDI_CLASS));
var_dump(IntlChar::getIntPropertyMinValue(IntlChar::PROPERTY_SCRIPT));
var_dump(IntlChar::getIntPropertyMinValue(IntlChar::PROPERTY_IDEOGRAPHIC));
var_dump(IntlChar::getIntPropertyMinValue(999999999)); // Some made-up value
?>`

The above example will output:

    int(0)
    int(0)
    int(0)
    int(0)

### See Also

- IntlChar::hasBinaryProperty() - Check a binary Unicode property for a code point
- IntlChar::getIntPropertyMaxValue() - Get the max value for a Unicode property
- IntlChar::getIntPropertyValue() - Get the value for a Unicode property for a code point
- IntlChar::getUnicodeVersion() - Get the Unicode version

IntlChar::getIntPropertyMaxValue
IntlChar::getIntPropertyValue
IntlChar
PHP Manual